

@media (max-width: 768px) {
    .menu-toggle {
    display: none;  /* Domyślnie ukryty */
}
    .menu-toggle {
        display: block;  /* Widoczny tylko na ekranach mniejszych niż 768px */
        background-color: #00000000;
        border: none;
        padding: 10px;
        font-size: 16px;
        cursor: pointer;
        position: absolute;
        margin-top: 130px;
        right: 20px;
        z-index: 1001;
    }

    nav ul {
        display: none;  /* Menu ukryte na małych ekranach */
        flex-direction: column;
        width: 100%;
        background-color: #fff;
        position: absolute;
        top: 0;
        left: 0;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
        z-index: 1000;
    }

    nav ul.show {
        display: flex;  /* Menu widoczne po dodaniu klasy show */
    }
}

.banner {
    background-image: url('giemlice_1920_1269_2.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    width: 100%;
    height: 900px; 
    opacity: 0; 
    animation: fadeIn 2s forwards; 
    display: flex;
    align-items: center;
    justify-content: center;
}
@media (max-width: 768px) {
.banner {
    background-image: url('giemlice_1920_1269_2.jpg');
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    opacity: 0; 
    animation: fadeIn 2s forwards; 
    display: flex;
    align-items: center;
    justify-content: center;
  }
}
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;600&display=swap');

.fade-in-text {
    opacity: 0;
    animation: fadeIn 2.5s ease-in forwards;
    text-align: center;
    color: white;
    padding: 20px;
    border-radius: 10px;
    font-size: 54px;
    margin-bottom: 10px;
    font-family: 'Poppins', sans-serif;
    text-shadow: 3px 4px 6px rgba(0, 0, 0, 1);
    margin-top: -150px;
}

@keyframes fadeIn {
    to {
        opacity: 1;
    }
}

.fade-in-text2 {
    opacity: 0;
    animation: fadeIn 2.5s ease-in forwards;
    text-align: center;
    color: white;
    padding: 20px;
    border-radius: 10px;
    font-size: 100px;
    margin-bottom: 10px;
    font-family: 'Poppins', sans-serif;
    text-shadow: 3px 4px 6px rgba(0, 0, 0, 1);
    margin-top: 30px;
}

nav {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 10px 20px;
    position: relative;
}

.menu-toggle {
    display: none;
}

nav ul {
    display: flex;
    list-style: none;
    padding: 0;
    margin: 0;
}

nav ul {
    display: flex;
    justify-content: center;
}

nav ul li {
    position: relative;
}

nav ul li a {
    display: block;
    padding: 8px 12px;
    text-decoration: none;
    color: #333;
    font-weight: 500;
    text-transform: uppercase;
    transition: background-color 0.3s, color 0.3s;
    font-size: 14px;
}

nav ul li a:hover {
    color: #ffc935;
    box-shadow: none;
}

nav ul li ul {
    display: block;
    position: absolute;
    top: 100%;
    left: 0;
    background-color: #fff;
    border: 0px solid #ddd;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    padding: 0;
    list-style: none;
    z-index: 1000;
    opacity: 0;
    max-height: 0;
    overflow: hidden;
    transition: opacity 0.3s ease, max-height 0.3s ease;
}

nav ul li:hover ul {
    opacity: 1;
    max-height: 300px;
}

nav ul li ul li {
    width: 180px;
}

nav ul li ul li a {
    padding: 8px 12px;
    color: #333;
    font-weight: normal;
    font-size: 13px;
    transition: background-color 0.3s, color 0.3s;
}

nav ul li ul li a:hover {
    background-color: #f8f9fa;
    color: #333;
    box-shadow: none;
}

@media (max-width: 768px) {
    nav ul {
        display: none;
        flex-direction: column;
        width: 100%;
        background-color: #fff;
        position: absolute;
        top: 0;
        left: 0;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
        z-index: 1000;
    }

    nav ul.show {
        display: flex;
    }

    nav ul li {
        width: 100%;
    }

    nav ul li ul {
        position: static;
        max-height: none;
        opacity: 1;
        box-shadow: none;
    }

    .menu-toggle {
        display: block;
        background-color: #00000000;
        border: none;
        padding: 10px;
        font-size: 16px;
        cursor: pointer;
        position: absolute;
        top: 10px;
        right: 20px;
        z-index: 1001;
    }

    .menu-toggle:focus {
        outline: none;
    }

    .banner {
        height: 500px;
    }

    .fade-in-text {
        font-size: 20px; 
        margin-top: -100px; 
    }

    .fade-in-text2 {
        font-size: 74px; 
        margin-top: 10px; 
    }
}
